package de.sebse.fuplanner2.network

import com.android.volley.NetworkResponse
import com.android.volley.VolleyError
import de.sebse.fuplanner2.utils.console

object Tools {
    fun invalidResponse(uid: Int, status: String): VolleyError {
        console.warn("InvalidResponse", "$uid - $status")
        return VolleyError(NetworkResponse(422, null, true, 0, null))
    }

    fun invalidPassword(uid: Int, status: String): VolleyError {
        console.warn("InvalidPassword", "$uid - $status")
        return VolleyError(NetworkResponse(403, null, true, 0, null))
    }
}